> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rottentomatoes/tv/seasons

> Get a single Rotten Tomatoes TV season by show slug and season number: per-season Tomatometer and Popcornmeter scores, synopsis, episodes list, cast and crew and season info.

**Price:** 1 credit

**⚠️ Common errors:** 412: TV show or season not found



## OpenAPI

````yaml /openapi/movies-tv.json post /api/rottentomatoes/tv/seasons
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rottentomatoes/tv/seasons:
    post:
      tags:
        - /rottentomatoes
      summary: /rottentomatoes/tv/seasons
      description: >-
        Get a single Rotten Tomatoes TV season by show slug and season number:
        per-season Tomatometer and Popcornmeter scores, synopsis, episodes list,
        cast and crew and season info.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: TV show or season not found
      operationId: __api_rottentomatoes_tv_seasons_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RottentomatoesSeasonsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RottentomatoesSeason'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RottentomatoesSeasonsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        tv:
          type: string
          minLength: 1
        season:
          type: integer
          minimum: 1
      type: object
      required:
        - tv
        - season
    RottentomatoesSeason:
      properties:
        '@type':
          type: string
          default: RottentomatoesSeason
        id:
          anyOf:
            - type: string
            - type: 'null'
        series_id:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          type: string
          default: season
        tv_slug:
          type: string
        season_number:
          type: integer
        url:
          type: string
        season_title:
          anyOf:
            - type: string
            - type: 'null'
        release_date:
          anyOf:
            - type: string
            - type: 'null'
        tv_rating:
          anyOf:
            - type: string
            - type: 'null'
        genres:
          items:
            type: string
          type: array
          default: []
        network:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        tomatometer:
          anyOf:
            - $ref: '#/components/schemas/RottentomatoesScore'
            - type: 'null'
        popcornmeter:
          anyOf:
            - $ref: '#/components/schemas/RottentomatoesScore'
            - type: 'null'
        creators:
          items:
            $ref: '#/components/schemas/RottentomatoesPersonRef'
          type: array
          default: []
        executive_producers:
          items:
            $ref: '#/components/schemas/RottentomatoesPersonRef'
          type: array
          default: []
        screenwriters:
          items:
            $ref: '#/components/schemas/RottentomatoesPersonRef'
          type: array
          default: []
        cast:
          items:
            $ref: '#/components/schemas/RottentomatoesPersonRef'
          type: array
          default: []
        episodes:
          items:
            $ref: '#/components/schemas/RottentomatoesEpisode'
          type: array
          default: []
      type: object
      required:
        - tv_slug
        - season_number
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RottentomatoesScore:
      properties:
        '@type':
          type: string
          default: RottentomatoesScore
        score:
          anyOf:
            - type: integer
            - type: 'null'
        sentiment:
          anyOf:
            - type: string
            - type: 'null'
        average_rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        liked_count:
          anyOf:
            - type: integer
            - type: 'null'
        not_liked_count:
          anyOf:
            - type: integer
            - type: 'null'
        certified:
          type: boolean
          default: false
      type: object
    RottentomatoesPersonRef:
      properties:
        '@type':
          type: string
          default: RottentomatoesPersonRef
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        characters:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    RottentomatoesEpisode:
      properties:
        '@type':
          type: string
          default: RottentomatoesEpisode
        episode_number:
          anyOf:
            - type: integer
            - type: 'null'
        episode_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        air_date:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````